> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mightynetworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a custom field



## OpenAPI

````yaml https://api.mn.co/admin/v1/spec.json patch /admin/v1/networks/{network_id}/custom_fields/{id}/
openapi: 3.1.0
info:
  version: 1.0.0
  title: The Mighty Networks Admin API
  description: An API for managing your Mighty Networks network
servers:
  - url: https://api.mn.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Members
    description: Manage members of your network
  - name: Courseworks
    description: Manage course content (lessons, quizzes, sections)
  - name: Reactions
    description: Manage reactions on comments
  - name: Mute
    description: Mute posts for users
  - name: Comments
    description: Manage comments on posts
  - name: Invites
    description: Invites allow you to invite users to your network
  - name: Tags
    description: Manage tags for your network
  - name: Spaces
    description: >-
      Spaces are the organizational units within a Network where content and
      members are organized
  - name: Plans
    description: Manage plans in your network
  - name: PasswordResets
    description: Manage member password resets
  - name: Badges
    description: Manage badges for your network
  - name: Rsvps
    description: Manage event RSVPs for your network
  - name: Options
    description: Manage dropdown custom field options
  - name: Answers
    description: Manage member responses to custom fields
  - name: Subscriptions
    description: >-
      Manage payment subscriptions - recurring payments from members to hosts
      for plans
  - name: Purchases
    description: Manage purchases and subscriptions for your network
  - name: Posts
    description: Posts also include Articles.
  - name: Polls
    description: >-
      Polls and Questions allow members to share opinions and engage with each
      other
  - name: Networks
    description: >-
      Networks are the top-level organizational unit under which other resources
      are nested
  - name: Me
    description: Metadata about the requesting user
  - name: Events
    description: Events are scheduled gatherings that members can RSVP to and engage with
  - name: CustomFields
    description: Manage custom fields for your network
  - name: Collections
    description: Manage collections in your network
  - name: Assets
    description: Manage assets for your network
  - name: AbuseReports
    description: Manage abuse reports for your network
paths:
  /admin/v1/networks/{network_id}/custom_fields/{id}/:
    patch:
      tags:
        - CustomFields
      summary: Update a custom field
      operationId: update_custom_fields
      parameters:
        - name: id
          in: path
          required: true
          description: ID of the custom field
          schema:
            type: integer
            format: uint64
        - $ref: '#/components/parameters/networkId'
      requestBody:
        description: Submit results as JSON
        required: true
        content:
          application/json:
            schema:
              description: Request body for updating a custom field
              type: object
              properties:
                title:
                  type: string
                  description: The title of the custom field
                  example: Favorite Color
                description:
                  type: string
                  description: Description of the custom field
                  example: Select your favorite color
                placeholder:
                  type: string
                  description: Placeholder text for the custom field input
                  example: Enter your answer here
                status:
                  type: string
                  description: >-
                    Status of the custom field (visible, hidden,
                    billing_disabled)
                  example: visible
                notify_all_members:
                  type: boolean
                  description: >-
                    Whether to notify all members when making the custom field
                    visible
                primary:
                  type: boolean
                  description: Whether this is the primary custom field
      responses:
        '200':
          description: The updated custom field object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomFieldResponse'
        '403':
          description: Cannot modify non-host-creatable custom fields
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Custom field not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    networkId:
      name: network_id
      in: path
      description: The Network's unique integer ID, or subdomain
      required: true
      schema:
        oneOf:
          - type: integer
            description: Unique numeric network ID
            format: uint64
          - type: string
            description: Network subdomain
            format: /^[a-z][a-z0-9-]+$/
  schemas:
    CustomFieldResponse:
      description: >-
        Custom Fields are configurable fields that can be added to capture
        additional member information
      type: object
      required:
        - created_at
        - id
        - response_type
        - title
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-06-26T21:14:11+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-06-26T21:14:11+00:00'
        title:
          type: string
          description: The title of the custom field
          example: Favorite Color
        response_type:
          type: string
          description: The type of response this custom field accepts
          example: dropdown_single_select
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: An error message explaining the problem encountered
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````